
Name:    fedora-kde-icon-theme
Version: 0.0.2
Release: 3%{?dist}
Summary: Default icon theme for KDE Desktops on fedora

Group:   User Interface/Desktops
License: GPLv2+ and CC-BY-SA 
URL:     https://fedorahosted.org/fedora-kde-artwork/
Source0: https://fedorahosted.org/releases/f/e/fedora-kde-artwork/%{name}-%{version}.tar.bz2
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch: noarch

Provides: system-kde-icon-theme = %{version}-%{release}

BuildRequires: kde-filesystem
Requires: oxygen-icon-theme
Requires: system-logos

%description
%{summary}.


%prep
%setup -q 


%build
# blank


%install
rm -rf %{buildroot} 
mkdir -p %{buildroot}%{_kde4_iconsdir}/
cp -a Fedora-KDE %{buildroot}%{_kde4_iconsdir}/ 


%clean
rm -rf %{buildroot} 


%post
touch --no-create %{_kde4_iconsdir}/Fedora-KDE &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/Fedora-KDE &> /dev/null
gtk-update-icon-cache %{_kde4_iconsdir}/Fedora-KDE &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/Fedora-KDE &> /dev/null || :


%files
%defattr(-,root,root,-)
%doc COPYING.*
%{_kde4_iconsdir}/Fedora-KDE/


%changelog
* Fri Jul 16 2010 Rex Dieter <rdieter@fedoraproject.org> 0.0.2-3
- Requires: oxygen-icon-theme (#615384)

* Tue Dec 15 2009 Rex Dieter <rdieter@fedoraproject.org> 0.0.2-2
- Provides: system-kde-icon-theme

* Tue Dec 15 2009 Rex Dieter <rdieter@fedoraproject.org> 0.0.2-1
- first try

